# Summary

* [An Introduction to Modern CMake](README.md)
* [Installing CMake](chapters/installing.md)
* [Running CMake](chapters/running.md)

## Making a CMakeLists

* [Introduction to the Basics](chapters/basics.md)
* [Variables and the Cache](chapters/options.md)
* [C++11 and Beyond](chapters/cpp11.md)
* [Adding Features](chapters/features.md)
* [How to Structure Your Project](chapters/structure.md)
* [Including Small Projects](chapters/smallinc.md)
* [Including Large Projects (X)](chapters/largeinc.md)
* [Running Other Programs (X)](chapters/programs.md)
* [Testing (INCOMPLETE)](chapters/testing.md)
* [Tidy and Format (X)](chapters/tidy.md)
* [IDEs (X)](chapters/IDEs.md)
* [Debugging (X)](chapters/debug.md)

## Specific packages
* [CUDA](specifics/CUDA.md)
* [OpenMP](specifics/OpenMP.md)
* [Boost (X)](specifics/Boost.md)
* [MPI](specifics/MPI.md)
* [ROOT (X)](specifics/ROOT.md)
